Subject: Re: git-cvsimport with cvsps output in commit msg breaks imports

From: Michael J Gruber <[email-masked]>
Date: Fri, 10 Dec 2010 13:48:35 +0100

Thomas Adam venit, vidit, dixit 09.12.2010 23:03:
> Hi all,
> 
> [ I've Cced both the cvsps maintainer and the author listed for
> git-cvsimport in case it's more relevant to either tool. ]
> 
> I am wondering if anyone here is able to shed some light on a problem I've
> encountered with git-cvsimport.  For ages now, I've had an automatic
> conversion of a CVS repository to a Git one, using git-cvsimport to update a
> repository as commits happen in CVS.
> 
> The repository in question is here:
> 
> https://github.com/ThomasAdam/tmux
> 
> Everything is on the Master branch.
> 
> More specifically, the commit which I think introduced the problem, and all
> subsequent commits thereafter is here:
> 
> https://github.com/ThomasAdam/tmux/commit/f0220a10b01a764e0dc52ea1b2407f58600a30eb
> 
> Note that from this commit onwards, the commit *message* has a bunch of
> cvsps output in it.  I can only surmise that this somehow causes problems
> for cvsimport.
> 
> But I can't say for sure.

The previous one has cvsps info in the commit message already, prefixed
with "|". So the problem is the previous one or the one before.

If you have cvs checkout, can spot anything between those? Can you redo
the cvsps import from that point on and check cvsps log?

Michael